{
	"logger":{
		"name":"msp",
		"levelname":"info",
		"logfile":"$[workdir]$/logs/msp.log"
	},
	"databases":{
        "msp":{
			"driver":"aiomysql",
			"async_mode":true,
			"coding":"utf8",
			"maxconn":100,
			"dbname":"msp",
			"kwargs":{
				"user":"test",
				"db":"msp",
				"password":"QUZVcXg5V1p1STMybG5Ia6mX9D0v7+g=",
				"host":"localhost"
			}
		}
	},
	"filesroot":"$[workdir]$/files",
	"website":{
		"paths":[
			["$[workdir]$/wwwroot",""]
		],
		"client_max_size":10000,
		"host":"0.0.0.0",
		"port":10100,
		"coding":"utf-8",
		"indexes":[
			"index.html",
			"index.tmpl",
			"index.ui",
			"index.dspy",
			"index.md"
		],
		"startswiths":[
			{
				"leading":"/idfile",
				"registerfunction":"idFileDownload"
			}
		],
		"processors":[
            [".ws","ws"],
			[".xterm","xterm"],
			[".proxy","proxy"],
			[".llm", "llm"],
			[".llms", "llms"],
			[".llma", "llma"],
			[".xlsxds","xlsxds"],
			[".sqlds","sqlds"],
			[".tmpl.js","tmpl"],
			[".tmpl.css","tmpl"],
			[".html.tmpl","tmpl"],
			[".bcrud", "bricks_crud"],
			[".tmpl","tmpl"],
			[".app","app"],
			[".bui","bui"],
			[".ui","bui"],
			[".dspy","dspy"],
			[".md","md"]
		],
		"session_max_time":3000,
		"session_issue_time":2500,
		"session_redis":{
			"url":"redis://127.0.0.1:6379"
		}
	}
}

